package cn.vscoder.experiment_3.test;

import cn.vscoder.experiment_3.book.Book;
import cn.vscoder.experiment_3.book.RentBook;
import cn.vscoder.experiment_3.reader.Reader;
import cn.vscoder.experiment_3.reader.VIPReader;

public class Test {
    public static void main(String[] args) {
        Book book=new Book("9787508353937","Head First设计模式","Eric Freeman / Elisabeth Freeman","中国电力出版社",128);
        System.out.println(book.getBookName());
        book.setPrice(book.getPrice()*0.8);
        System.out.println(book);
        Reader reader1=new Reader();
        Reader reader2=new Reader();
        System.out.println(reader1);
        System.out.println(reader2);
        RentBook rentBook=new RentBook("97875","设计模式","Eric Freeman","北京大学出版社",128,"in0001");
        System.out.println(rentBook);
        VIPReader vipreader1=new VIPReader("张三","VIP");
        VIPReader vipreader2=new VIPReader("李四","普通会员");
        VIPReader vipreader3=new VIPReader("王二","非会员");
        System.out.println(vipreader1);
        System.out.println(vipreader2);
        System.out.println(vipreader3);
    }
}
